Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network45.2.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
45.2.128.0
Broadcast address
45.2.255.255
First usable
45.2.128.1
Last usable
45.2.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 2D028000 · Integer 755138560 to 755171327
Reverse DNS zones
128.2.45.in-addr.arpa
129.2.45.in-addr.arpa
130.2.45.in-addr.arpa
131.2.45.in-addr.arpa
132.2.45.in-addr.arpa
133.2.45.in-addr.arpa
134.2.45.in-addr.arpa
135.2.45.in-addr.arpa
136.2.45.in-addr.arpa
137.2.45.in-addr.arpa
138.2.45.in-addr.arpa
139.2.45.in-addr.arpa
140.2.45.in-addr.arpa
141.2.45.in-addr.arpa
142.2.45.in-addr.arpa
143.2.45.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101101.00000010.10000000.0000000045.2.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00101101.00000010.10000000.0000000045.2.128.0
Broadcast00101101.00000010.11111111.1111111145.2.255.255
Split into smaller subnets/24

45.2.128.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
145.2.128.0/2445.2.128.1 to 45.2.128.25445.2.128.255254
245.2.129.0/2445.2.129.1 to 45.2.129.25445.2.129.255254
345.2.130.0/2445.2.130.1 to 45.2.130.25445.2.130.255254
445.2.131.0/2445.2.131.1 to 45.2.131.25445.2.131.255254
545.2.132.0/2445.2.132.1 to 45.2.132.25445.2.132.255254
645.2.133.0/2445.2.133.1 to 45.2.133.25445.2.133.255254
745.2.134.0/2445.2.134.1 to 45.2.134.25445.2.134.255254
845.2.135.0/2445.2.135.1 to 45.2.135.25445.2.135.255254
945.2.136.0/2445.2.136.1 to 45.2.136.25445.2.136.255254
1045.2.137.0/2445.2.137.1 to 45.2.137.25445.2.137.255254
1145.2.138.0/2445.2.138.1 to 45.2.138.25445.2.138.255254
1245.2.139.0/2445.2.139.1 to 45.2.139.25445.2.139.255254
1345.2.140.0/2445.2.140.1 to 45.2.140.25445.2.140.255254
1445.2.141.0/2445.2.141.1 to 45.2.141.25445.2.141.255254
1545.2.142.0/2445.2.142.1 to 45.2.142.25445.2.142.255254
1645.2.143.0/2445.2.143.1 to 45.2.143.25445.2.143.255254
1745.2.144.0/2445.2.144.1 to 45.2.144.25445.2.144.255254
1845.2.145.0/2445.2.145.1 to 45.2.145.25445.2.145.255254
1945.2.146.0/2445.2.146.1 to 45.2.146.25445.2.146.255254
2045.2.147.0/2445.2.147.1 to 45.2.147.25445.2.147.255254
2145.2.148.0/2445.2.148.1 to 45.2.148.25445.2.148.255254
2245.2.149.0/2445.2.149.1 to 45.2.149.25445.2.149.255254
2345.2.150.0/2445.2.150.1 to 45.2.150.25445.2.150.255254
2445.2.151.0/2445.2.151.1 to 45.2.151.25445.2.151.255254
2545.2.152.0/2445.2.152.1 to 45.2.152.25445.2.152.255254
2645.2.153.0/2445.2.153.1 to 45.2.153.25445.2.153.255254
2745.2.154.0/2445.2.154.1 to 45.2.154.25445.2.154.255254
2845.2.155.0/2445.2.155.1 to 45.2.155.25445.2.155.255254
2945.2.156.0/2445.2.156.1 to 45.2.156.25445.2.156.255254
3045.2.157.0/2445.2.157.1 to 45.2.157.25445.2.157.255254
3145.2.158.0/2445.2.158.1 to 45.2.158.25445.2.158.255254
3245.2.159.0/2445.2.159.1 to 45.2.159.25445.2.159.255254
3345.2.160.0/2445.2.160.1 to 45.2.160.25445.2.160.255254
3445.2.161.0/2445.2.161.1 to 45.2.161.25445.2.161.255254
3545.2.162.0/2445.2.162.1 to 45.2.162.25445.2.162.255254
3645.2.163.0/2445.2.163.1 to 45.2.163.25445.2.163.255254
3745.2.164.0/2445.2.164.1 to 45.2.164.25445.2.164.255254
3845.2.165.0/2445.2.165.1 to 45.2.165.25445.2.165.255254
3945.2.166.0/2445.2.166.1 to 45.2.166.25445.2.166.255254
4045.2.167.0/2445.2.167.1 to 45.2.167.25445.2.167.255254
4145.2.168.0/2445.2.168.1 to 45.2.168.25445.2.168.255254
4245.2.169.0/2445.2.169.1 to 45.2.169.25445.2.169.255254
4345.2.170.0/2445.2.170.1 to 45.2.170.25445.2.170.255254
4445.2.171.0/2445.2.171.1 to 45.2.171.25445.2.171.255254
4545.2.172.0/2445.2.172.1 to 45.2.172.25445.2.172.255254
4645.2.173.0/2445.2.173.1 to 45.2.173.25445.2.173.255254
4745.2.174.0/2445.2.174.1 to 45.2.174.25445.2.174.255254
4845.2.175.0/2445.2.175.1 to 45.2.175.25445.2.175.255254
4945.2.176.0/2445.2.176.1 to 45.2.176.25445.2.176.255254
5045.2.177.0/2445.2.177.1 to 45.2.177.25445.2.177.255254
5145.2.178.0/2445.2.178.1 to 45.2.178.25445.2.178.255254
5245.2.179.0/2445.2.179.1 to 45.2.179.25445.2.179.255254
5345.2.180.0/2445.2.180.1 to 45.2.180.25445.2.180.255254
5445.2.181.0/2445.2.181.1 to 45.2.181.25445.2.181.255254
5545.2.182.0/2445.2.182.1 to 45.2.182.25445.2.182.255254
5645.2.183.0/2445.2.183.1 to 45.2.183.25445.2.183.255254
5745.2.184.0/2445.2.184.1 to 45.2.184.25445.2.184.255254
5845.2.185.0/2445.2.185.1 to 45.2.185.25445.2.185.255254
5945.2.186.0/2445.2.186.1 to 45.2.186.25445.2.186.255254
6045.2.187.0/2445.2.187.1 to 45.2.187.25445.2.187.255254
6145.2.188.0/2445.2.188.1 to 45.2.188.25445.2.188.255254
6245.2.189.0/2445.2.189.1 to 45.2.189.25445.2.189.255254
6345.2.190.0/2445.2.190.1 to 45.2.190.25445.2.190.255254
6445.2.191.0/2445.2.191.1 to 45.2.191.25445.2.191.255254
6545.2.192.0/2445.2.192.1 to 45.2.192.25445.2.192.255254
6645.2.193.0/2445.2.193.1 to 45.2.193.25445.2.193.255254
6745.2.194.0/2445.2.194.1 to 45.2.194.25445.2.194.255254
6845.2.195.0/2445.2.195.1 to 45.2.195.25445.2.195.255254
6945.2.196.0/2445.2.196.1 to 45.2.196.25445.2.196.255254
7045.2.197.0/2445.2.197.1 to 45.2.197.25445.2.197.255254
7145.2.198.0/2445.2.198.1 to 45.2.198.25445.2.198.255254
7245.2.199.0/2445.2.199.1 to 45.2.199.25445.2.199.255254
7345.2.200.0/2445.2.200.1 to 45.2.200.25445.2.200.255254
7445.2.201.0/2445.2.201.1 to 45.2.201.25445.2.201.255254
7545.2.202.0/2445.2.202.1 to 45.2.202.25445.2.202.255254
7645.2.203.0/2445.2.203.1 to 45.2.203.25445.2.203.255254
7745.2.204.0/2445.2.204.1 to 45.2.204.25445.2.204.255254
7845.2.205.0/2445.2.205.1 to 45.2.205.25445.2.205.255254
7945.2.206.0/2445.2.206.1 to 45.2.206.25445.2.206.255254
8045.2.207.0/2445.2.207.1 to 45.2.207.25445.2.207.255254
8145.2.208.0/2445.2.208.1 to 45.2.208.25445.2.208.255254
8245.2.209.0/2445.2.209.1 to 45.2.209.25445.2.209.255254
8345.2.210.0/2445.2.210.1 to 45.2.210.25445.2.210.255254
8445.2.211.0/2445.2.211.1 to 45.2.211.25445.2.211.255254
8545.2.212.0/2445.2.212.1 to 45.2.212.25445.2.212.255254
8645.2.213.0/2445.2.213.1 to 45.2.213.25445.2.213.255254
8745.2.214.0/2445.2.214.1 to 45.2.214.25445.2.214.255254
8845.2.215.0/2445.2.215.1 to 45.2.215.25445.2.215.255254
8945.2.216.0/2445.2.216.1 to 45.2.216.25445.2.216.255254
9045.2.217.0/2445.2.217.1 to 45.2.217.25445.2.217.255254
9145.2.218.0/2445.2.218.1 to 45.2.218.25445.2.218.255254
9245.2.219.0/2445.2.219.1 to 45.2.219.25445.2.219.255254
9345.2.220.0/2445.2.220.1 to 45.2.220.25445.2.220.255254
9445.2.221.0/2445.2.221.1 to 45.2.221.25445.2.221.255254
9545.2.222.0/2445.2.222.1 to 45.2.222.25445.2.222.255254
9645.2.223.0/2445.2.223.1 to 45.2.223.25445.2.223.255254
9745.2.224.0/2445.2.224.1 to 45.2.224.25445.2.224.255254
9845.2.225.0/2445.2.225.1 to 45.2.225.25445.2.225.255254
9945.2.226.0/2445.2.226.1 to 45.2.226.25445.2.226.255254
10045.2.227.0/2445.2.227.1 to 45.2.227.25445.2.227.255254
10145.2.228.0/2445.2.228.1 to 45.2.228.25445.2.228.255254
10245.2.229.0/2445.2.229.1 to 45.2.229.25445.2.229.255254
10345.2.230.0/2445.2.230.1 to 45.2.230.25445.2.230.255254
10445.2.231.0/2445.2.231.1 to 45.2.231.25445.2.231.255254
10545.2.232.0/2445.2.232.1 to 45.2.232.25445.2.232.255254
10645.2.233.0/2445.2.233.1 to 45.2.233.25445.2.233.255254
10745.2.234.0/2445.2.234.1 to 45.2.234.25445.2.234.255254
10845.2.235.0/2445.2.235.1 to 45.2.235.25445.2.235.255254
10945.2.236.0/2445.2.236.1 to 45.2.236.25445.2.236.255254
11045.2.237.0/2445.2.237.1 to 45.2.237.25445.2.237.255254
11145.2.238.0/2445.2.238.1 to 45.2.238.25445.2.238.255254
11245.2.239.0/2445.2.239.1 to 45.2.239.25445.2.239.255254
11345.2.240.0/2445.2.240.1 to 45.2.240.25445.2.240.255254
11445.2.241.0/2445.2.241.1 to 45.2.241.25445.2.241.255254
11545.2.242.0/2445.2.242.1 to 45.2.242.25445.2.242.255254
11645.2.243.0/2445.2.243.1 to 45.2.243.25445.2.243.255254
11745.2.244.0/2445.2.244.1 to 45.2.244.25445.2.244.255254
11845.2.245.0/2445.2.245.1 to 45.2.245.25445.2.245.255254
11945.2.246.0/2445.2.246.1 to 45.2.246.25445.2.246.255254
12045.2.247.0/2445.2.247.1 to 45.2.247.25445.2.247.255254
12145.2.248.0/2445.2.248.1 to 45.2.248.25445.2.248.255254
12245.2.249.0/2445.2.249.1 to 45.2.249.25445.2.249.255254
12345.2.250.0/2445.2.250.1 to 45.2.250.25445.2.250.255254
12445.2.251.0/2445.2.251.1 to 45.2.251.25445.2.251.255254
12545.2.252.0/2445.2.252.1 to 45.2.252.25445.2.252.255254
12645.2.253.0/2445.2.253.1 to 45.2.253.25445.2.253.255254
12745.2.254.0/2445.2.254.1 to 45.2.254.25445.2.254.255254
12845.2.255.0/2445.2.255.1 to 45.2.255.25445.2.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses